Subject: Re: bug#70984: 30.0.50; Improved support for entering quotation marks, Re: bug#70984: 30.0.50; Improved support for entering quotation marks

From: Robert Pluim <[email-masked]>
Date: Fri, 17 May 2024 10:59:57 +0200

>>>>> On Fri, 17 May 2024 10:21:08 +0200, Stephen Berman <[email-masked]> said:

    >> Iʼm assuming this means youʼre both ok with the key sequences I chose.

    Stephen> As an innocent bystander I was at first puzzled at your choice of 'C-x 8
    Stephen> < <' and 'C-x 8 > >' for "‹" and "›", respectively; but then I found
    Stephen> that 'C-x 8 <' and 'C-x 8 >' in the global map already produce "«" and
    Stephen> "»", presumably because the latter are the real quotation marks in
    Stephen> French, while "single guillemets" are less frequently used.  So your
    Stephen> choice makes sense after all.

Exactly (should I put the existing C-x 8 bindings in the NEWS
entry?).

Iʼm more doubtful about my choices for the German quotation marks in
the C-x 8 map. They correspond to the keys that have '(' and ')' on
the US keyboard, but not the German standard keyboard, but theyʼre
easy to type on both layouts. I could put them on 'C-x 8 8' and 'C-x 8
9', since those can produce '[' and ']' in the German layout, which is
kind of mnemonic. (The official German layout has them on 2nd or 3rd
level shift variants of 'x' and 'v', which I thought was too
convoluted to emulate).

Robert
--